// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package container

// 调用器代理创建器接口
type CallerBrokerBuilder interface {
	// 检查方法
	// 参数:
	// 1.要检查的方法
	// 返回值:
	// 1.错误
	Check(Method) error
	// 创建调用器代理
	// 检查方法
	// 参数:
	// 1.当前会话上下文
	// 2.要代理的调用器
	// 返回值:
	// 1.创建的调用器代理
	// 2.错误
	Build(*SessionContext, Caller) (Caller, error)
}
